Summary:	MATE Screensaver
Name:		mate-screensaver
Version:	1.14.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
Url:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}matekbd-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pam-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xklavier-devel
BuildRequires: %{_lib}xscrnsaver-devel
BuildRequires: %{_lib}xxf86vm-devel
BuildRequires: mate-desktop-devel
BuildRequires: mate-menus-devel

Requires: xsltproc
Requires: dbus-x11

%description
mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.
It is designed to support:

* the ability to lock down configuration settings
* translation into other languages
* user switching

%package devel
Summary:	Pkgconfig file for %{name}
Group:		Development/Libraries

%description devel
This package contains the pkgconfig file for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-more-warnings --with-systemd=no

%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS
%{_sysconfdir}/pam.d/mate-screensaver
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_sysconfdir}/xdg/menus/mate-screensavers.menu
%{_bindir}/*
%{_libexecdir}/mate-screensaver-gl-helper
%{_libexecdir}/mate-screensaver/floaters
%{_libexecdir}/mate-screensaver/popsquares
%{_libexecdir}/mate-screensaver/slideshow
%{_libexecdir}/mate-screensaver-dialog
%{_datadir}/applications/mate-screensaver-preferences.desktop
%{_datadir}/applications/screensavers/cosmos-slideshow.desktop
%{_datadir}/applications/screensavers/footlogo-floaters.desktop
%{_datadir}/applications/screensavers/personal-slideshow.desktop
%{_datadir}/applications/screensavers/popsquares.desktop
%dir %{_datadir}/backgrounds
%dir %{_datadir}/backgrounds/cosmos
%{_datadir}/backgrounds/cosmos/*
%{_datadir}/dbus-1/services/org.mate.ScreenSaver.service
%{_datadir}/desktop-directories/mate-screensaver.directory
%{_datadir}/mate-background-properties/cosmos.xml
%{_datadir}/mate-screensaver/*
%{_datadir}/pixmaps/mate-logo-white.svg
%{_mandir}/man1/mate-screensaver*
%{_datadir}/glib-2.0/schemas/org.mate.screensaver.gschema.xml
%{_datadir}/applications/screensavers/gnomelogo-floaters.desktop
%{_datadir}/pixmaps/gnome-logo-white.svg

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mate-screensaver.pc

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%clean
rm -rf %buildroot

    
%changelog
* Sat May 21 2016 bb <bb> 1.14.1-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.2-2pclos2015
- rebuild for updates

* Mon Jul 13 2015 bb <bb> 1.10.2-1pclos2015
- update

